// From Arduino forum
int dow(uint8_t y, uint8_t m, uint8_t d)
{
  static uint8_t t[] = {
    0, 3, 2, 5, 0, 3, 5, 1, 4, 6, 2, 4  };
  y -= m < 3;
  return (y + y/4 - y/100 + y/400 + t[m-1] + d) % 7;    // 0 = Sunday, 1 = Monday, etc
}

// Maple Mini specific
#define BOARD_BUTTON_PIN      32
#define BOARD_LED_PIN         33
#define BUTTON_DEBOUNCE_DELAY  1

int8 isButtonPressed(uint8 pin=BOARD_BUTTON_PIN,
                      uint32 pressedLevel=BOARD_BUTTON_PRESSED_LEVEL) {
    if (digitalRead(pin) == pressedLevel) {
        delay(BUTTON_DEBOUNCE_DELAY);
        while (digitalRead(pin) == pressedLevel)
            ;
        return true;
    }
    return false;
}


// Written by Ray
static String DayOfWeek[] =
{
  "Sun",    // 0
  "Mon",
  "Tue",
  "Wed",
  "Thu",
  "Fri",
  "Sat" }
;

// Written by Ray
static String NameOfMonth[] =
{
  "JAN",  // index 0
  "FEB",
  "MAR",
  "APR",
  "MAY",
  "JUN",
  "JUL",
  "AUG",
  "SEP",
  "OCT",
  "NOV",
  "DEC"  }
;

// Arduino Forum
static int DaysInMonth[] =
{
  31, // index 0 == January
  28, 
  31,
  30,
  31,
  30,
  31,
  31,
  30,
  31,
  30,
  31  }
;


/***************************** ILI9341 320x240 DISPLAY LAYOUT ****************************

0,0
----------------------------------------------------------------------------> 319
| nnnT                                                                 DOW
|              lcd.fillRect( 0,  0, 319, 59, 0);     // blank top
|
|
|<- 059 
|
|              lcd.fillRect( 0, 60, 319, 114, 0);     // blank middle
|                              HH:MM:SS A
|
|
|
|<- 174
|              lcd.fillRect( 0, 175, 319, 64, 0);     // blank lower
|
| MON DD YYYY
|
|<- 239


Historical for Atlanta:
30.79 (1042.67)	1/6/1924	29.08 (984.76)	1/11/1918
__t0__  __t1__  __t2__  __t3__  __M__
*/

/*
WST	West Samoa Time			Pacific		 13
NZST	New Zealand Standard Time	Pacific		 12
SBT	Solomon IslandsTime		Pacific		 11
PGT	Papua New Guinea Time		Pacific		 10
JST	Japan Standard Time		Asia		 9
CST	China Standard Time		Asia		 8
ICT	Indochina Time			Asia		 7
BST	Bangladesh Standard Time	Asia		 6
UZT	Uzbekistan Time			Asia		 5
MSK	Moscow Standard Time		Europe		 4
AST	Arabia Standard Time		Asia		 3
EET	Eastern European Time		Europe		 2
CET	Central European Time		Europe		 1
GMT	Greenwich Mean Time		Europe		 0
AZOT	Azores Time			Atlantic	-1
FNT	Fernando de Noronha Time	South America	-2
UYT	Uruguay Time			South America	-3
AST	Atlantic Standard Time		North America	-4
EST	Eastern Standard Time		North America	-5
CST	Central Standard Time		North America	-6
MST	Mountain Standard Time		North America	-7
PST	Pacific Standard Time		North America	-8
AKST	Alaska Standard Time		North America	-9
HAST	Hawaii-Aleutian Standard Time	North America	-10
SST	Samoa Standard Time		Pacific		-11
Y	Yankee Time Zone		Military	-12
*/
